Nested CommonMark Markdown task lists are not indented
2023-01-28 07:22 - Ko Nagase

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 5.0.5

Resolution: Fixed Affected version: 5.0.0
Description

We (Takashi Kato, Tomoko Shimizu and Ko Nagase) found that CommonMark nested checklist indent is ignored.

- [ ] testl
- [ ] test2
Attachment patch solves this issue, so reviewing this is helpful.
Associated revisions

Revision 22083 - 2023-01-31 10:29 - Go MAEDA
Nested CommonMark Markdown task lists are not indented (#38215).

Revision 22087 - 2023-02-02 00:54 - Go MAEDA
Merged r22083 from trunk to 5.0-stable (#38215).

History

#1 - 2023-01-29 05:42 - Go MAEDA

- Status changed from New to Confirmed

What are your thoughts on the following change? It sets the padding-left to Opx only for the first level of the ul.task-list. As a result, the other levels of
ul.task-list will use the initial value for padding-left instead of the hard-coded value of 40px, like other ul elements.

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css

index 8c50a9879..001508ada 100644

-—— a/public/stylesheets/application.css

+++ b/public/stylesheets/application.css

@@ -1338,9 +1338,11 @@ a.wiki-anchor:hover { color: #aaa !important; text-decoration: none; }

hl:hover a.wiki-anchor, h2:hover a.wiki-anchor, h3:hover a.wiki-anchor, hé4:hover a.wiki-anchor, h5:hover a.wi
ki-anchor, h6:hover a.wiki-anchor { display: inline; color: #ddd; }

div.wiki img {vertical-align:middle; max-width:100%; }

+div.wiki>.task-1list {

+ padding-left: Opx;

+1}

div.wiki .task-list {
list-style-type: none;

- padding-left: Opx;

}

div.wiki .task-list input.task-list-item-checkbox {
height: initial;

#2 - 2023-01-29 07:15 - Ko Nagase
https://www.redmine.org/users/486714
https://www.redmine.org/users/305899
https://www.redmine.org/users/388654

Go MAEDA wrote:
What are your thoughts on the following change? It sets the padding-left to Opx only for the first level of the ul.task-list. As a result, the other
levels of ul.task-list will use the initial value for padding-left instead of the hard-coded value of 40px, like other ul elements.

Thanks for confirmation and suggesting the new solution!

| confirmed that your suggested diff works correctly, and | felt that it is better than our original patch.

#3 - 2023-01-30 07:25 - Go MAEDA

- Target version set to 5.0.5

Setting the target version to 5.0.5.

#4 - 2023-01-31 10:30 - Go MAEDA

- Subject changed from Fix CommonMark nested checklist indent to Nested CommonMark Markdown task lists are not indented
- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for reporting the issue.

#5 - 2023-02-02 00:54 - Go MAEDA

- Status changed from Resolved to Closed
